UbuntuUpdates.org

Package "openssl"

Name: openssl

Description:

Secure Sockets Layer toolkit - cryptographic utility

Latest version: 1.0.2g-1ubuntu4
Release: xenial (16.04)
Level: base
Repository: main

Links

Save this URL for the latest version of "openssl": https://www.ubuntuupdates.org/openssl


Download "openssl"


Other versions of "openssl" in Xenial

Repository Area Version
security main 1.0.2g-1ubuntu4.14
updates main 1.0.2g-1ubuntu4.14

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.0.2g-1ubuntu4 2016-04-15 17:07:02 UTC

  openssl (1.0.2g-1ubuntu4) xenial; urgency=medium

  * Rename Fedora-imported FIPS patches to the names they have in Fedora, add
    correct "Origin:" tags, and move Ubuntu modifications in them into
    openssl-1.0.2g-ubuntu-fips-cleanup.patch.

 -- Joy Latten <email address hidden> Fri, 15 Apr 2016 06:58:01 +0200

Source diff to previous version

Version: 1.0.2g-1ubuntu3 2016-04-13 23:06:41 UTC

  openssl (1.0.2g-1ubuntu3) xenial; urgency=medium

  * Add fips support to openssl, LP: #1553309
    - debian/patches/openssl-1.0.2g-fips.patch: [PATCH 1/6] Add selftest, fips
      support, crypto compliance and define OPENSSL_FIPS.
    - debian/patches/openssl-1.0.2g-fips-ec.patch: [PATCH 2/6] Add fips compliance
      for EC curves.
    - debian/patches/openssl-1.0.2g-fips-md5-allow.patch: [PATCH 3/6] Allow md5 in
      fips mode.
    - debian/patches/openssl-1.0.2g-fips-ctor.patch: [PATCH 4/6] Re-factor integrity
      check for fips mode.
    - debian/patches/openssl-1.0.2g-new-fips-reqs.patch: [PATCH 5/6] New fips
      requirements.
    - debian/patches/openssl-1.0.2g-ubuntu-fips-cleanup.patch: [PATCH 6/6] Cleanup
      compiler warnings, use upstream error codes, DSA, DSA2, fips_utl.h; add
      additional upstream tests to fips_test_suite; allow all EC curves.

 -- Joy Latten <email address hidden> Tue, 12 Apr 2016 15:33:50 -0500

1553309 [FFe]: Include FIPS 140-2 into openssl package



About   -   Send Feedback to @ubuntu_updates